| Flutter iOS Embedder |

Classes | Namespaces | Functions | Variables
FlutterPlatformPlugin.mm File Reference
`#import "flutter/shell/platform/darwin/ios/framework/Source/FlutterPlatformPlugin.h"`
`#import <AudioToolbox/AudioToolbox.h>`
`#import <Foundation/Foundation.h>`
`#import <UIKit/UIApplication.h>`
`#import <UIKit/UIKit.h>`
`#include "flutter/fml/logging.h"`
`#import "flutter/shell/platform/darwin/common/InternalFlutterSwiftCommon/InternalFlutterSwiftCommon.h"`
`#import "flutter/shell/platform/darwin/ios/framework/Source/FlutterEngine_Internal.h"`
`#import "flutter/shell/platform/darwin/ios/framework/Source/FlutterSharedApplication.h"`
`#import "flutter/shell/platform/darwin/ios/framework/Source/FlutterTextInputPlugin.h"`
`#import "flutter/shell/platform/darwin/ios/framework/Source/FlutterViewController_Internal.h"`
`#import "flutter/shell/platform/darwin/ios/framework/Source/UIViewController+FlutterScreenAndSceneIfLoaded.h"`

Go to the source code of this file.

## Namespaces
| FLUTTER_ASSERT_ARC
| flutter

## Functions
static void | SetStatusBarHiddenForSharedApplication (BOOL hidden)
static void | SetStatusBarStyleForSharedApplication (UIStatusBarStyle style)

## Variables
constexpr char | FLUTTER_ASSERT_ARC::kTextPlainFormat [] = "text/plain"
const UInt32 | FLUTTER_ASSERT_ARC::kKeyPressClickSoundId = 1306
const UInt32 | FLUTTER_ASSERT_ARC::kWheelsOfTimeSoundId = 1157
NSString *const | FLUTTER_ASSERT_ARC::kSearchURLPrefix = @"@"x-web-search://?"

## Function Documentation

## ◆ SetStatusBarHiddenForSharedApplication()

static void SetStatusBarHiddenForSharedApplication | ( | BOOL | hidden | ) |
| static

Definition at line 50 of file FlutterPlatformPlugin.mm.

50 {
51 UIApplication* flutterApplication = FlutterSharedApplication.application;
52 if (flutterApplication) {
53 flutterApplication.statusBarHidden = hidden;
54 } else {
55 [FlutterLogger logWarning:@"Application based status bar styling is not available in app "
56 "extension."];
57 }
58 }
FlutterSharedApplication
Definition: FlutterSharedApplication.h:11
FlutterSharedApplication::application
UIApplication * application
Definition: FlutterSharedApplication.h:25

References FlutterSharedApplication::application.

## ◆ SetStatusBarStyleForSharedApplication()

static void SetStatusBarStyleForSharedApplication | ( | UIStatusBarStyle | style | ) |
| static

Definition at line 60 of file FlutterPlatformPlugin.mm.

60 {
61 UIApplication* flutterApplication = FlutterSharedApplication.application;
62 if (flutterApplication) {
63 // Note: -[UIApplication setStatusBarStyle] is deprecated in iOS9
64 // in favor of delegating to the view controller.
65 [flutterApplication setStatusBarStyle:style];
66 } else {
67 [FlutterLogger logWarning:@"Application based status bar styling is not available in app "
68 "extension."];
69 }
70 }

References FlutterSharedApplication::application.